=== debian/control ===
Source: ros-foxy-depthai-examples
Section: misc
Priority: optional
Maintainer: sachin <sachin@luxonis.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-foxy-ament-cmake, ros-foxy-camera-info-manager, ros-foxy-cv-bridge, ros-foxy-depthai, ros-foxy-depthai-bridge, ros-foxy-depthai-descriptions, ros-foxy-depthai-ros-msgs, ros-foxy-foxglove-msgs, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-ros-environment, ros-foxy-rviz-imu-plugin, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-stereo-msgs, ros-foxy-vision-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-depthai-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-foxy-camera-info-manager, ros-foxy-cv-bridge, ros-foxy-depth-image-proc, ros-foxy-depthai, ros-foxy-depthai-bridge, ros-foxy-depthai-descriptions, ros-foxy-depthai-ros-msgs, ros-foxy-foxglove-msgs, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-robot-state-publisher, ros-foxy-ros-environment, ros-foxy-rviz-imu-plugin, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-stereo-msgs, ros-foxy-vision-msgs, ros-foxy-xacro, ros-foxy-ros-workspace
Description: The depthai_examples package
